Page MenuHomePhabricator

Update page issues folder structure
Closed, ResolvedPublic2 Story Points

Description

As of https://gerrit.wikimedia.org/r/#/c/mediawiki/skins/MinervaNeue/+/475576/, page issues code is now split between:

  • resources/skins.minerva.scripts (pageIssues.js and pageIssuesParser.js)
  • tests/qunit/skins.minerva.scripts (pageIssues.test.js and pageIssuesParser.test.js)
  • resources/skins.minerva.scripts/page-issues

Refactor the remaining code to move it under the page-issues subdirectory.

Acceptance criteria

  • All page issues production and test code lives under resources/skins.minerva.scripts/page-issues/ and tests/qunit/skins.minerva.scripts/page-issues/
  • Rename PageIssuesOverlay.less to pageIssuesOverlay.less to match pageIssuesOverlay.js.

QA steps

We reorganized some files. Although this was done carefully, we should check a few things to make sure we didn't regress them. Perform a smoke test on the beta cluster for the Minerva skin

  • Do page issues display? Can they be clicked? https://en.m.wikipedia.beta.wmflabs.org/wiki/Pharmacovigilance
  • If I click a reference do I see a drawer?
  • If I click an image does the image overlay display?
  • When I click notifications icon, do notifications render in a drawer to the right of the screen? Can I close that drawer?
  • If I find a red link, does clicking it display a drawer asking me to create the page? (Pharmacovigilance has a red link if you grep for "National Drug & Safety League")
  • Does the table of contents display on tablet/desktop browsers and does it contain the headings of the current page ?

QA Results

Details

Related Gerrit Patches:
mediawiki/skins/MinervaNeue : masterRestore table of contents and error logging
mediawiki/skins/MinervaNeue : masterEmbrace packageFiles
mediawiki/skins/MinervaNeue : master[dev] match page issues LESS filename to JS naming
mediawiki/skins/MinervaNeue : master[dev] move page issues tests to page-issues/ subdir
mediawiki/skins/MinervaNeue : masterUpdate page issues folder structure

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 4 2019, 3:25 PM
Jdlrobson assigned this task to nray.Jan 9 2019, 11:07 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: nray, Jdlrobson.

@nray can you take a look at this task and confirm it's clear what would be expected of you if you were to work on it and thus ready for estimation?

Jdlrobson triaged this task as Normal priority.Jan 11 2019, 12:53 AM
nray added a comment.Jan 12 2019, 12:05 AM

I plan to carve out time to look at this on Monday, Jan. 14

nray updated the task description. (Show Details)Jan 14 2019, 11:03 PM
nray updated the task description. (Show Details)Jan 14 2019, 11:17 PM
nray updated the task description. (Show Details)
nray updated the task description. (Show Details)Jan 14 2019, 11:37 PM
nray removed nray as the assignee of this task.Jan 14 2019, 11:58 PM
Jdlrobson moved this task from Backlog to Bugs on the MinervaNeue board.Feb 5 2019, 6:49 PM
Jdlrobson moved this task from Bugs to Tech debt on the MinervaNeue board.
ovasileva set the point value for this task to 2.Apr 10 2019, 4:39 PM

@ovasileva, @Jdlrobson, just a friendly heads up that we discussed this today and think it's ready to work on

Change 520462 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Update page issues folder structure

https://gerrit.wikimedia.org/r/520462

Change 520462 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Update page issues folder structure

https://gerrit.wikimedia.org/r/520462

Change 521940 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/skins/MinervaNeue@master] [dev] move page issues tests to page-issues/ subdir

https://gerrit.wikimedia.org/r/521940

Change 521943 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/skins/MinervaNeue@master] [dev] match page issues LESS filename to JS naming

https://gerrit.wikimedia.org/r/521943

Change 521940 abandoned by Niedzielski:
[dev] move page issues tests to page-issues/ subdir

https://gerrit.wikimedia.org/r/521940

Change 523755 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Embrace packageFiles

https://gerrit.wikimedia.org/r/523755

Change 521943 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] [dev] match page issues LESS filename to JS naming

https://gerrit.wikimedia.org/r/521943

Change 523755 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Embrace packageFiles

https://gerrit.wikimedia.org/r/523755

Change 523819 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Restore table of contents and error logging

https://gerrit.wikimedia.org/r/523819

Change 523819 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Restore table of contents and error logging

https://gerrit.wikimedia.org/r/523819

Edtadros reassigned this task from Edtadros to ovasileva.Jul 25 2019, 4:16 PM
Edtadros added a subscriber: Edtadros.

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX/iPad

Test Artifact(s):

QA steps

✅ AC1: Do page issues display? Can they be clicked? https://en.m.wikipedia.beta.wmflabs.org/wiki/Pharmacovigilance

✅ AC2: If I click a reference do I see a drawer?

✅ AC3: If I click an image does the image overlay display?

✅ AC4: When I click notifications icon, do notifications render in a drawer to the right of the screen? Can I close that drawer?

✅ AC5: If I find a red link, does clicking it display a drawer asking me to create the page? (Pharmacovigilance has a red link if you grep for "National Drug & Safety League")

✅ AC6:Does the table of contents display on tablet/desktop browsers and does it contain the headings of the current page ?

Edtadros updated the task description. (Show Details)Jul 25 2019, 4:17 PM
Niedzielski closed this task as Resolved.Jul 25 2019, 5:03 PM